#import <Cocoa/Cocoa.h>

@interface RGraphicsDeviceDelegateProxy : NSObject {
	id delegate;
}
+ (id)proxyWithDelegate:(id)delegate;
- (id)initWithDelegate:(id)aDelegate;

- (BOOL)graphicsDeviceCanAcceptMouseEvents:(id)aDevice;
- (BOOL)graphicsDeviceCanResize:(id)aDevice;
- (BOOL)graphicsDeviceCanLocate:(id)aDevice;

- (NSSize)graphicsDeviceSize:(id)aDevice;

- (void)graphicsDeviceWillDraw:(id)aDevice;
- (void)graphicsDeviceDidDraw:(id)aDevice;
- (void)graphicsDeviceNewPage:(id)aDevice;
- (void)graphicsDeviceClose:(id)aDevice;

- (void)graphicsDeviceWillLocate:(id)aDevice;
- (void)graphicsDeviceDidLocate:(id)aDevice;
- (void)graphicsDevice:(id)aDevice showCoords:(NSPoint)rPoint atPoint:(NSPoint)aPoint;


@end
