//
//  BackgroundView.m
//  R
//
//  Created by Byron Ellis on 2/14/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import "BackgroundView.h"


@implementation BackgroundView

- (id)initWithFrame:(NSRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
		color = nil;
    }
    return self;
}

- (void)drawRect:(NSRect)rect {
	if(nil == color) [super drawRect:rect];
	[color set];
	NSRectFill(rect);
}

- (void)setBackgroundColor:(NSColor*)newColor {
	color = newColor;
}
- (NSColor*)backgroundColor { return color; }

@end
